Bug 13424 - vfs_ceph: Memory leak in realpath operation.
vfs_ceph: Memory leak in realpath operation.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-08 18:30 UTC by Jeremy Allison
Modified: 2018-05-24 08:34 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.8.next (2.09 KB, patch)
2018-05-09 17:13 UTC, Jeremy Allison
ddiss: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2018-05-08 18:30:23 UTC
Reported with a proposed fix by Vandana Rungta <vrungta@amazon.com>.

Patch to follow.
Comment 1 Jeremy Allison 2018-05-09 17:13:36 UTC
Created attachment 14189 [details]
git-am fix for 4.8.next

Cherry-picked from master.
Comment 2 Jeremy Allison 2018-05-09 21:48:06 UTC
Re-assigning to Karolin for inclusion in 4.8.next.
Comment 3 David Disseldorp 2018-05-11 17:31:05 UTC
@Jeremy: I'd like to pull in the same patch for (maintenance mode) 4.7. I've done local sanity testing - are you okay with that?
Comment 4 Karolin Seeger 2018-05-14 07:53:42 UTC
Pushed to autobuild-v4-8-test.
Comment 5 David Disseldorp 2018-05-14 10:06:31 UTC
(In reply to David Disseldorp from comment #3)
> @Jeremy: I'd like to pull in the same patch for (maintenance mode) 4.7. I've
> done local sanity testing - are you okay with that?

Ping - would be great to get confirmation before Karolin closes the bug here, if possible.
Comment 6 Jeremy Allison 2018-05-14 16:03:58 UTC
Yes I'm good with this going in 4.7.x also.

Thanks,

Jeremy.
Comment 7 David Disseldorp 2018-05-14 16:08:52 UTC
Thanks Jeremy.

@Karo: please apply the same patch (https://bugzilla.samba.org/attachment.cgi?id=14189) for 4.7.next .
Comment 8 Karolin Seeger 2018-05-17 11:35:05 UTC
(In reply to David Disseldorp from comment #7)
Pushed to autobuild-v4-7-test.
Comment 9 Karolin Seeger 2018-05-24 08:34:05 UTC
Pushed to both branches.
Closing out bug report.

Thanks!